## ufr2linuxv180.zip

=== Makefile ===
#################################################
# LIPS IV Driver for PDAPI               #
#   Integrated Makefile                  #
#################################################

### Macros ###
#DRIVERDIR = driver
FILTERDIR = pstoufr2cpca
PPDDIR    = ppd
SRCDIRS =\
	$(DRIVERDIR)\
	$(FILTERDIR)\
	$(PPDDIR)

### Make modules ###
all:
	for dir in $(SRCDIRS); do\
		echo Making modules $$dir ...;\
		(cd $$dir; make) || exit 1;\
	done
	echo Make completed.

### Install modules ###
install:
	for dir in $(SRCDIRS); do\
		echo Installing modules $$dir ...;\
		(cd $$dir; make install) || exit 1;\
	done

### Uninstall modules ###
uninstall:
	for dir in $(SRCDIRS); do\
		echo Uninstalling modules $$dir ...;\
		(cd $$dir; make uninstall) || exit 1;\
	done

### Clean-up objects files ###
clean:
	for dir in $(SRCDIRS); do\
		echo Cleaning $$dir ...;\
		(cd $$dir; make clean) || exit 1;\
	done

### Clean-up objects and configure files ###
distclean:
	for dir in $(SRCDIRS); do\
		echo distclean $$dir ...;\
		(cd $$dir; make distclean) || exit 1;\
	done

=== c3plmod_ipc/Makefile ===
###################################################
#                                           	  #
#  Vector Driver API Generi C3PL Driver)          #
#          Makefile 				  			  #
#                                           	  #
###################################################

##### Macro #####
# Compiler Definition
CC=gcc

# Directories
CLIBDIR=$(LIBDIR)
CLIENT_INSTALLDIR = $(DESTDIR)$(CLIBDIR)
IPCLIBDIR = ./ipclib

# Compile/Link Options
#LINKOPTIONS_R=-o
LINKOPTIONS_R=-g -o
#CPOPTIONS_R=-c
CPOPTIONS_R=-g -c

INCLUDE=-I. -I$(IPCLIBDIR) -I/usr/include

#CFLAGS_R=-Wall -g -fPIC -DDEBUG  -DDEBUG_SLEEP
#CFLAGS_R=-Wall -g -fPIC -DDEBUG
CFLAGS_R=-Wall -fPIC -O2

### Edit Below According to each Libraries ###

# Library File Name
LIBNAME=canonc3pl
VERSION_MAJOR=1
VERSION_MINOR=0.0
LIBNAME_LINKER=lib$(LIBNAME).so
LIBNAME_SO=lib$(LIBNAME).so.$(VERSION_MAJOR)
LIBNAME_REAL=lib$(LIBNAME).so.$(VERSION_MAJOR).$(VERSION_MINOR)

# Link Options (library name to link with)
CLIENT_LIBS =

##### Target Files for Client Library #####
# Target Source Files for Client Library
CLIENT_SRCS=\
	$(IPCLIBDIR)/opvp_rpc_client.c\
	$(IPCLIBDIR)/opvp_rpc_client_02.c\
	$(IPCLIBDIR)/opvp_rpc_core.c
	
# Target Object Files for Client Library
CLIENT_OBJS=\
	$(IPCLIBDIR)/opvp_rpc_client.o\
	$(IPCLIBDIR)/opvp_rpc_client_02.o\
	$(IPCLIBDIR)/opvp_rpc_core.o

# Depending Header Files for Client Library
CLIENT_DEPENDENT_HEADERS=\
	$(IPCLIBDIR)/opvp_rpc_client.h\
	$(IPCLIBDIR)/opvp_rpc_client_02.h\
	$(IPCLIBDIR)/opvp.h\
	$(IPCLIBDIR)/opvp_02.h\
	$(IPCLIBDIR)/opvp_rpc_core.h\
	$(IPCLIBDIR)/opvp_rpc_reqno.h\
	$(IPCLIBDIR)/opvp_rpc_reqno_02.h


##### Command #####
.SILENT:


##### Main Targe #####
.PHONY : all, client
all : $(LIBNAME_REAL)
client : $(LIBNAME_REAL)

### Link : Client Library ###
$(LIBNAME_REAL): $(CLIENT_OBJS)
	@echo Linking library $(LIBNAME_REAL) ...
	$(CC) $(LINKOPTIONS_R) $@ $(CLIENT_OBJS) -shared -Wl,-soname,$(LIBNAME_REAL) $(LIBFLAGS_R) $(CLIENT_LIBS)


### Compile : No Editing is necessary ###
%.o: %.c
	@echo Compiling $< ...
	$(CC) $(CPOPTIONS_R) $< $(CFLAGS_R) $(INCLUDE) -o $@


### Specifying Depending Header FilesFNo Editing is necessary ###
$(CLIENT_OBJS) : $(CLIENT_DEPENDENT_HEADERS)


### Other Depending Files ###
$(CLIENT_OBJS) : Makefile


### Install : No Editing is necessary ###
# for Release
install:
	strip $(LIBNAME_REAL)
	@echo cp $(LIBNAME_REAL) $(CLIENT_INSTALLDIR)
	cp $(LIBNAME_REAL) $(CLIENT_INSTALLDIR)


### Clean-up : No Editing is necessary ###
clean:
	@echo rm -rf $(LIBNAME_REAL) $(CLIENT_OBJS) *~ core
	rm -rf $(LIBNAME_REAL) $(CLIENT_OBJS) *~ core

=== debian/changelog ===
cndrvcups-common (1.80-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2008 10:01:55 +0900

cndrvcups-common (1.70-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2008 10:01:55 +0900

cndrvcups-common (1.60-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 2 Nov 2007 10:01:55 +0900

cndrvcups-common (1.50-2) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Man, 6 Aug 2007 19:28:55 +0900

cndrvcups-common (1.50-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Tue, 10 Apr 2007 16:48:55 +0900

cndrvcups-common (1.40-1) stable; urgency=low

  * Initial Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Tue, 12 Sep 2006 16:48:55 +0900

=== debian/control ===
Source: cndrvcups-lb
Section: net
Priority: optional
Maintainer: Canon Inc. <sup-debian@list.canon.co.jp>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: cndrvcups-ufr2-uk
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, cndrvcups-common (>= 1.80)
Replaces: cndrvcups-ufr2-us, cndrvcups-lipslx, cndrvcups-capt
Description: Canon UFR2 Printer Driver for Linux
 Canon UFR2 Printer Driver for Linux.
 This UFR2 printer driver provides printing functions for Canon LBP/iR
 printers operating under the CUPS (Common UNIX Printing System) environment.

Package: cndrvcups-ufr2-us
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, cndrvcups-common (>= 1.80)
Replaces: cndrvcups-ufr2-uk, cndrvcups-lipslx, cndrvcups-capt
Description: Canon UFR2 Printer Driver for Linux
 Canon UFR2 Printer Driver for Linux.
 This UFR2 printer driver provides printing functions for Canon LBP/iR
 printers operating under the CUPS (Common UNIX Printing System) environment.

Package: cndrvcups-lipslx
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, cndrvcups-common (>= 1.80)
Replaces: cndrvcups-ufr2-us, cndrvcups-ufr2-uk, cndrvcups-capt
Description: Canon LIPSLX Printer Driver for Linux
 Canon LIPSLX Printer Driver for Linux.
 This LIPSLX printer driver provides printing functions for Canon LBP/iR
 printers operating under the CUPS (Common UNIX Printing System) environment.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./allgen.sh

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	for d in ppd pstoufr2cpca; do \
		(cd $$d && $(MAKE)); \
	done
	#$(MAKE)
	#docbook-to-man debian/cndrvcups-lb.sgml > cndrvcups-lb.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	-for d in ppd pstoufr2cpca; do \
		(cd $$d && $(MAKE) distclean); \
	done

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/cndrvcups-lb.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/cndrvcups-lb
	for d in ppd pstoufr2cpca; do \
		(cd $$d && $(MAKE) install DESTDIR=$(CURDIR)/debian/cndrvcups-lipslx); \
		($(MAKE) install DESTDIR=$(CURDIR)/debian/cndrvcups-ufr2-uk); \
		($(MAKE) install DESTDIR=$(CURDIR)/debian/cndrvcups-ufr2-us); \
	done

	dh_install -s
	mkdir -p $(CURDIR)/debian/cndrvcups-lipslx/usr/lib
	install -c libs/libcanonufr2.la $(CURDIR)/debian/cndrvcups-lipslx/usr/lib
	install -c -s libs/libcanonufr2.so.1.0.0 $(CURDIR)/debian/cndrvcups-lipslx/usr/lib
	install -c -s libs/libufr2filter.so.1.0.0 $(CURDIR)/debian/cndrvcups-lipslx/usr/lib
	ln -sf /usr/lib/libcanonufr2.so.1.0.0	$(CURDIR)/debian/cndrvcups-lipslx/usr/lib/libcanonufr2.so.1
	ln -sf /usr/lib/libcanonufr2.so.1.0.0	$(CURDIR)/debian/cndrvcups-lipslx/usr/lib/libcanonufr2.so
	ln -sf /usr/lib/libufr2filter.so.1.0.0	$(CURDIR)/debian/cndrvcups-lipslx/usr/lib/libufr2filter.so.1
	ln -sf /usr/lib/libufr2filter.so.1.0.0	$(CURDIR)/debian/cndrvcups-lipslx/usr/lib/libufr2filter.so
	mkdir -p $(CURDIR)/debian/cndrvcups-lipslx/usr/share/caepcm
	install -c -m 644 data/C*   $(CURDIR)/debian/cndrvcups-lipslx/usr/share/caepcm
	rm -rf $(CURDIR)/debian/cndrvcups-lipslx/usr/share/cups/model/*ZK.ppd
	rm -rf $(CURDIR)/debian/cndrvcups-lipslx/usr/share/cups/model/*ZS.ppd
	
	dh_install -s
	mkdir -p $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/lib
	install -c libs/libcanonufr2.la $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/lib
	install -c -s libs/libcanonufr2.so.1.0.0 $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/lib
	install -c -s libs/libufr2filter.so.1.0.0 $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/lib
	ln -sf  /usr/lib/libcanonufr2.so.1.0.0	$(CURDIR)/debian/cndrvcups-ufr2-uk/usr/lib/libcanonufr2.so.1
	ln -sf  /usr/lib/libcanonufr2.so.1.0.0	$(CURDIR)/debian/cndrvcups-ufr2-uk/usr/lib/libcanonufr2.so
	ln -sf  /usr/lib/libufr2filter.so.1.0.0	$(CURDIR)/debian/cndrvcups-ufr2-uk/usr/lib/libufr2filter.so.1
	ln -sf  /usr/lib/libufr2filter.so.1.0.0	$(CURDIR)/debian/cndrvcups-ufr2-uk/usr/lib/libufr2filter.so
	mkdir -p $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/share/caepcm
	install -c -m 644 data/C*   $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/share/caepcm
	rm -rf $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/share/cups/model/*ZJ.ppd
	rm -rf $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/share/cups/model/*ZS.ppd

	dh_install -s
	mkdir -p $(CURDIR)/debian/cndrvcups-ufr2-us/usr/lib
	install -c libs/libcanonufr2.la $(CURDIR)/debian/cndrvcups-ufr2-us/usr/lib
	install -c -s libs/libcanonufr2.so.1.0.0 $(CURDIR)/debian/cndrvcups-ufr2-us/usr/lib
	install -c -s libs/libufr2filter.so.1.0.0 $(CURDIR)/debian/cndrvcups-ufr2-us/usr/lib
	ln -sf  /usr/lib/libcanonufr2.so.1.0.0	$(CURDIR)/debian/cndrvcups-ufr2-us/usr/lib/libcanonufr2.so.1
	ln -sf  /usr/lib/libcanonufr2.so.1.0.0	$(CURDIR)/debian/cndrvcups-ufr2-us/usr/lib/libcanonufr2.so
	ln -sf  /usr/lib/libufr2filter.so.1.0.0	$(CURDIR)/debian/cndrvcups-ufr2-us/usr/lib/libufr2filter.so.1
	ln -sf  /usr/lib/libufr2filter.so.1.0.0	$(CURDIR)/debian/cndrvcups-ufr2-us/usr/lib/libufr2filter.so
	mkdir -p $(CURDIR)/debian/cndrvcups-ufr2-us/usr/share/caepcm
	install -c -m 644 data/C*   $(CURDIR)/debian/cndrvcups-ufr2-us/usr/share/caepcm
	rm -rf $(CURDIR)/debian/cndrvcups-ufr2-us/usr/share/cups/model/*ZJ.ppd
	rm -rf $(CURDIR)/debian/cndrvcups-ufr2-us/usr/share/cups/model/*ZK.ppd

	dh_install -s
	mkdir -p $(CURDIR)/debian/cndrvcups-lipslx/usr/share/doc/cndrvcups-lipslx
	mkdir -p $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/share/doc/cndrvcups-ufr2-uk
	mkdir -p $(CURDIR)/debian/cndrvcups-ufr2-us/usr/share/doc/cndrvcups-ufr2-us

	install LICENSE*lipslx*.txt $(CURDIR)/debian/cndrvcups-lipslx/usr/share/doc/cndrvcups-lipslx
	install LICENSE*ufr2*.txt $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/share/doc/cndrvcups-ufr2-uk
	install LICENSE*ufr2*0E.txt $(CURDIR)/debian/cndrvcups-ufr2-us/usr/share/doc/cndrvcups-ufr2-us
	install README $(CURDIR)/debian/cndrvcups-lipslx/usr/share/doc/cndrvcups-lipslx
	install README $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/share/doc/cndrvcups-ufr2-uk
	install L*ufr2*FR.txt $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/share/doc/cndrvcups-ufr2-uk
	install L*ufr2*IT.txt $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/share/doc/cndrvcups-ufr2-uk
	install L*ufr2*DE.txt $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/share/doc/cndrvcups-ufr2-uk
	install L*ufr2*SP.txt $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/share/doc/cndrvcups-ufr2-uk
	install README $(CURDIR)/debian/cndrvcups-ufr2-us/usr/share/doc/cndrvcups-ufr2-us
	install README*lipslx*.txt $(CURDIR)/debian/cndrvcups-lipslx/usr/share/doc/cndrvcups-lipslx
	install README*ufr2*UK*.txt $(CURDIR)/debian/cndrvcups-ufr2-uk/usr/share/doc/cndrvcups-ufr2-uk
	install README*ufr2*US*.txt $(CURDIR)/debian/cndrvcups-ufr2-us/usr/share/doc/cndrvcups-ufr2-us

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
